Headless (POST)

Headless browser POST request

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
string
required
Defaults to xxxxx

Your TCPNIX API key

string
required
Defaults to https://tcpnix.com/ip

Target URL

string
enum
Defaults to networkidle2

The waitUntil parameter accepts the following values: domcontentloaded, networkidle0, networkidle2, and load:

domcontentloaded waits for the DOMContentLoaded event to fire, which occurs when the initial HTML document has been completely loaded and parsed.

networkidle0 waits until there are no more than 0 network connections for at least 500 ms.

networkidle2 waits until there are no more than 2 network connections for at least 500 ms. (default)

load waits for the window.load event to fire, which occurs when all page resources (including images, stylesheets, and scripts) have finished loading.

Allowed:
boolean
enum
Defaults to false

The headless browser will execute the JavaScript code on the page (default: false)

Allowed:
integer

The headless browsers will wait the duration of the time set in milliseconds before returning the page's HTML.

integer
Defaults to 1920

If you need to change the dimension of the browser's viewport (window) when scraping the target page you can use the win_width and win_height parameters.

integer
Defaults to 1080

If you need to change the dimension of the browser's viewport (window) when scraping the target page you can use the win_width and win_height parameters.

string

Custom user agent

string

Set custom cookies for this request.

String must be a JSON encoded string, ie;

{"cookie_name_1":"cookie_value1","cookie_name_2":"cookie_value_2"}

Headers
string

Example to send custom header

Custom forwarded headers must start with TCPNIX-***

Example; TCPNIX-AuthCode: 123

Will forward the "AuthCode: 123" header

Response
200
Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here!